subscribe.h File Reference
`#include "address.h"`
`#include "coap_io.h"`
Include dependency graph for subscribe.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_subscription_t
| Subscriber information. More...

## Macros

#define | COAP_OBSERVE_ESTABLISH 0
| The value COAP_OBSERVE_ESTABLISH in a GET request indicates a new observe relationship for (sender address, token) is requested. More...
#define | COAP_OBSERVE_CANCEL 1
| The value COAP_OBSERVE_CANCEL in a GET request indicates that the observe relationship for (sender address, token) must be cancelled. More...
#define | COAP_OBS_MAX_NON 5
| Number of notifications that may be sent non-confirmable before a confirmable message is sent to detect if observers are alive. More...
#define | COAP_OBS_MAX_FAIL 3
| Number of confirmable notifications that may fail (i.e. More...

## Typedefs

typedef struct coap_subscription_t | coap_subscription_t
| Subscriber information. More...

## Functions

void | coap_subscription_init (coap_subscription_t *)